package kz.arta.synergy.workflow.mobile.android.common.models.settings;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * Диалог
 * Created by neox on 28.05.15.
 */
public class DialogItem implements Serializable {

    /**
     * Имя
     */
    private String name;

    /**
     * Идентификатор
     */
    private String uuid;

    /**
     * Тип
     */
    private String type;

    /**
     * Является ли текущий диалог дефолтным
     */
    private
    @SerializedName("default")
    String def;

    /**
     * Используется ли в данном диалоге специальная настройка
     */
    private String special;

    public String getDef() {
        return def;
    }

    public void setDef(String def) {
        this.def = def;
    }

    public String getSpecial() {
        return special;
    }

    public void setSpecial(String special) {
        this.special = special;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
